//
//  LabJackDevice.h
//  STCLabJackDriver
//
//  Created by Corey Stevens on 9/7/2010.
//  Copyright 2010 Starchaser Technology. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "IOChannel.h"
#import "labjackusb.h"
#import "LabJackConstants.h"

@interface LabJackDevice : NSObject {
	NSMutableArray *channels;
	NSString *serialNumber;
	HANDLE deviceHandle;
	

}

@property(readonly) NSMutableArray *channels;
@property(readonly) NSString *serialNumber;

-(bool)digitalValueForChannel:(uint32)channelNumber;
-(double)analogValueForChannel:(uint32)channelNumber;
-(void)setDigitalValue:(bool)newValue ForChannel:(uint32)channelNumber;
-(void)setAnalogValue:(double)newValue ForChannel:(uint32)channelNumber;
-(void)setChannel:(uint32)channelNumber ToMode:(LJChannelModes)newMode;
-(void)Close;
-(uint32)channelNumberForChannelName:(NSString*)channelName;
@end
